Last Comment Bug 736155 - Outgoing attachments management pane seems squeezed on OSX and Windows
: Outgoing attachments management pane seems squeezed on OSX and Windows
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Andreas Nilsson (:andreasn)
:
Mentors:
Depends on:
Blocks: BigFiles
  Show dependency treegraph
 
Reported: 2012-03-15 10:46 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-04-02 14:13 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Demonstration of the squeeze (69.35 KB, image/png)
2012-03-15 10:46 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details
fixes the issus by setting it wider (593 bytes, patch)
2012-03-20 08:40 PDT, Andreas Nilsson (:andreasn)
mconley: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
Demonstration of the squeeze on Windows 7 (58.93 KB, image/png)
2012-03-23 07:22 PDT, Mike Conley (:mconley) - (Needinfo me!)
no flags Details
Fix width on Windows (628 bytes, patch)
2012-03-26 08:07 PDT, Mike Conley (:mconley) - (Needinfo me!)
bugs: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-03-15 10:46:35 PDT
Created attachment 606287 [details]
Demonstration of the squeeze

Compared to Ubuntu / Windows, the management pane for an account in Outgoing Attachments seems squeezed.  See screenshot.
Comment 1 Andreas Nilsson (:andreasn) 2012-03-20 08:40:42 PDT
Created attachment 607566 [details] [diff] [review]
fixes the issus by setting it wider

This should fix it
Comment 2 Mike Conley (:mconley) - (Needinfo me!) 2012-03-22 07:24:22 PDT
Comment on attachment 607566 [details] [diff] [review]
fixes the issus by setting it wider

Code looks good!  Thanks Andreas,

-Mike
Comment 3 Mike Conley (:mconley) - (Needinfo me!) 2012-03-23 07:22:10 PDT
Created attachment 608696 [details]
Demonstration of the squeeze on Windows 7

I just noticed the same kind of squeeze on Windows 7.
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2012-03-23 07:24:04 PDT
Andreas - any chance you could write up a patch for qute too?
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-03-24 14:58:14 PDT
http://hg.mozilla.org/comm-central/rev/fa25323cc2dc
Comment 6 Mike Conley (:mconley) - (Needinfo me!) 2012-03-26 06:42:44 PDT
Hey Ryan - thanks for checking in that patch.

We still need to fix qute before we can close this one, though.
Comment 7 Mike Conley (:mconley) - (Needinfo me!) 2012-03-26 08:07:10 PDT
Created attachment 609324 [details] [diff] [review]
Fix width on Windows

Fixes the width on Windows.
Comment 8 Andreas Nilsson (:andreasn) 2012-03-26 08:54:53 PDT
Comment on attachment 609324 [details] [diff] [review]
Fix width on Windows

Works as expected.
Comment 9 Andreas Nilsson (:andreasn) 2012-03-26 08:56:02 PDT
Note that there is a issue happening if the Lightning addon is installed so that the prefs box gets much wider. I can file another bug about that though.
Comment 10 Mike Conley (:mconley) - (Needinfo me!) 2012-03-26 09:35:13 PDT
Attachment #609324 [details] [diff] committed to comm-central as http://hg.mozilla.org/comm-central/rev/2b8f6b5d103d

Note You need to log in before you can comment on or make changes to this bug.